Capvant

List document requests on a deal

get
https://sandbox.capvant.com/v1/deals/{ref}/requests
GET
/deals/{ref}/requests

Authorization

ApiKeyAuth
X-API-Key<token>

Lender keys start with cv_live_; Partner keys start with cv_pk_. Shown once at creation, sent on every request.

In: header

Path Parameters

ref*string

The deal reference, e.g. CV93A41205. Case-insensitive.

Response Body

application/json

application/json

application/json

application/json

application/json

Shell
curl -X GET "https://sandbox.capvant.com/deals/string/requests"
JSON
{  "requests": [    {      "id": "string",      "item_type": "bank_statements_6m",      "label": "string",      "note": "string",      "status": "requested",      "requested_via": "hub",      "requested_at": "2019-08-24T14:15:22Z",      "uploaded_at": "2019-08-24T14:15:22Z",      "forwarded_at": "2019-08-24T14:15:22Z",      "file_count": 0,      "has_files": true    }  ]}